<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<vote-workflow-view></vote-workflow-view>

<h2 id="stepTitle">
  {{ 'global.step.title-prefix' | translate:currentStepNumber }}
  {{ 'finalization.step-name' | translate }}
</h2>

<section role="main">
  <div class="description">
    <div class="check-logo fa-layers">
      <span class="step-number fas fa-square" data-fa-transform="grow-50 down-15"></span>
      <span class="fas fa-check fa-inverse" data-fa-transform="grow-20 down-15"></span>
    </div>
    <div class="description-content">
      <span class="step-number title" [innerHTML]="'finalization.description.title' | translate"></span>
      <span [innerHTML]="'finalization.description.content' | translate: {date: finalizationLog.date | date : 'd MMMM yyyy' : undefined : locale, hour: finalizationLog.date | date : 'HH', minute: finalizationLog.date | date : 'mm'}"></span>
    </div>
  </div>
  <div id="finalization-code" class="step-number code">
    {{finalizationLog.code}}
  </div>
</section>

<h3 [innerHTML]="'finalization.finalization-code.title' | translate"></h3>

<chvote-helper helperLinkKey="finalization.finalization-code.description.image-help"
               helperLinkAccessibilityKey="finalization.finalization-code.description.image-accessibility">
  <span [innerHTML]="'finalization.finalization-code.description.text' | translate"></span>
  <chvote-expansion-panel accessibilityKey="finalization.finalization-code.description.complementary.title.accessibility"
                          titleKey="finalization.finalization-code.description.complementary.title.text"
                          contentKey="finalization.finalization-code.description.complementary.content"
                          strongerContrast="true">
  </chvote-expansion-panel>
</chvote-helper>

<section role="complementary">
  <span [innerHTML]="'finalization.thanks' | translate"></span>
</section>

<nav>
  <button mat-raised-button class="abort" (click)="quit()">
    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>
    {{ 'global.actions.quit' | translate }}
  </button>
</nav>
